> ## Documentation Index
> Fetch the complete documentation index at: https://developer.salesforge.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Start validation run



## OpenAPI

````yaml /openapi/multichannel-publicapi.json post /multichannel/workspaces/{workspaceID}/validations
openapi: 3.1.0
info:
  description: >-
    Returns the current state of a LinkedIn account. Useful while polling a
    connection that is waiting on OTP.
  title: Multichannel Public API
  version: '1.0'
servers:
  - url: /public
security:
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
externalDocs:
  description: ''
  url: ''
paths:
  /multichannel/workspaces/{workspaceID}/validations:
    post:
      tags:
        - multichannel
      summary: Start validation run
      parameters:
        - description: Workspace ID
          in: path
          name: workspaceID
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              oneOf:
                - type: object
                - $ref: '#/components/schemas/requests.StartValidationRunRequest'
                  summary: request
                  description: >-
                    Start validation run request. Returns 400 when no contacts
                    match filters, and 402 when workspace credits are
                    insufficient.
        description: >-
          Start validation run request. Returns 400 when no contacts match
          filters, and 402 when workspace credits are insufficient.
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responses.StartValidationRunResponse'
          description: Created
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responses.ErrorResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responses.ErrorResponse'
          description: Unauthorized
        '402':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responses.ErrorResponse'
          description: Payment Required
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responses.ErrorResponse'
          description: Forbidden
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responses.ErrorResponse'
          description: Internal Server Error
      security:
        - ApiKeyAuth: []
components:
  schemas:
    requests.StartValidationRunRequest:
      properties:
        filters:
          $ref: '#/components/schemas/requests.ValidationFiltersRequest'
        limit:
          type: integer
      required:
        - filters
      type: object
    responses.StartValidationRunResponse:
      properties:
        validationJobID:
          type: string
      type: object
    responses.ErrorResponse:
      properties:
        data: {}
        message:
          type: string
      type: object
    requests.ValidationFiltersRequest:
      properties:
        customVarIds:
          items:
            type: string
          type: array
          uniqueItems: false
        customVars:
          items:
            type: string
          type: array
          uniqueItems: false
        deleted:
          type: boolean
        esps:
          items:
            type: string
          type: array
          uniqueItems: false
        excludeContacted:
          type: boolean
        hasEmail:
          type: boolean
        hasValidLinkedIn:
          type: boolean
        leadIds:
          items:
            type: string
          type: array
          uniqueItems: false
        notInCustomVarIds:
          items:
            type: string
          type: array
          uniqueItems: false
        notInCustomVars:
          items:
            type: string
          type: array
          uniqueItems: false
        notInESPs:
          items:
            type: string
          type: array
          uniqueItems: false
        notInLeadIds:
          items:
            type: string
          type: array
          uniqueItems: false
        notInTagIds:
          items:
            type: string
          type: array
          uniqueItems: false
        numberOfContactsToAdd:
          type: integer
        searchQuery:
          type: string
        tagIds:
          items:
            type: string
          type: array
          uniqueItems: false
        validationStatuses:
          items:
            type: string
          type: array
          uniqueItems: false
        withEmailOnly:
          type: boolean
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: Authorization
      type: apiKey

````